package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProSystemAuthDAO;
import com.philisense.www.mapper.ProSystemAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProSystemAuthDAOImpl implements ProSystemAuthDAO {
        @Autowired
        private ProSystemAuthMapper proSystemAuthMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proSystemAuthMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proSystemAuthMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proSystemAuthMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proSystemAuthMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proSystemAuthMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proSystemAuthMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proSystemAuthMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proSystemAuthMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proSystemAuthMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proSystemAuthMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proSystemAuthMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proSystemAuthMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proSystemAuthMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProSystemByAuthId(Map<String, Object> map) {
            return proSystemAuthMapper.getPageProSystemByAuthId(map);
        }

        @Override
        public int getCountProSystemByAuthId(Map<String, Object> map) {
            return proSystemAuthMapper.getCountProSystemByAuthId(map);
        }

}
